For the complete documentation index, see llms.txt.

Tracking Only Orders
POST/api/orders/shipped

Create Tracking Only Order

This POST request is used to create tracking only orders. It expects a payload containing an array of orders with their respective details such as name, order number, carrier, and tracking number.

View as MarkdownCopy for LLM

Tracking Only Orders

Register externally generated tracking against Starshipit orders.

1 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/shipped

Details

This POST request is used to create tracking only orders. It expects a payload containing an array of orders with their respective details such as name, order number, carrier, and tracking number.

Request Body

The request body should be in raw format and contain a JSON object with an array of orders. Each order should have the following parameters:

Attribute Type Description
name (optional) String The name of the customer
order_number (optional) String Reference number for the order
carrier enum CarrierName The enum of the carrier this order was shipped with
tracking_number string The tracking number for the shipment
country (optional) string The country name. If provided, will be used for calculating machine learning ETD
postcode (optional) string The destination postcode. If provided, will be used for calculating machine learning ETD
carrier_service_code (optional) string If passed through, this will be used for calculating Machine Learning ETDs

Response

Upon successful processing of the request, the API responds with a JSON object containing all orders that were created with their order numbers and their corresponding tracking numbers as values. Additionally, the response includes a success boolean indicating the status of the request.Example

{
    "orders": {
        "398667087": "XYZ-92312-VSDV-24814",
        "398667099": "NCA-21938-KASL-12314",
        "398667108": "MOX-53215-AJVV-12395",
        "398667112": "BZH-12841-ASGB-12451"
    },
    "success": true
}

Request body

{
    "orders":[
        {
            "name": "John Smith",
            "carrier": "AusPost",
            "tracking_number": "XYZ-92312-VSDV-24814"
        },
        {
            "name": "Jane Smith",
            "carrier": "AusPost",
            "tracking_number": "NCA-21938-KASL-12314"
        },
        {
            "order_number": "ORD10002",
            "carrier": "AusPost",
            "tracking_number": "MOX-53215-AJVV-12395"
        },
        {
            "carrier": "AusPost",
            "tracking_number": "BZH-12841-ASGB-12451"
        }
    ]
}

Response examples

Create Tracking Only Order (200)
{
    "orders": {
        "398667087": "XYZ-92312-VSDV-24814",
        "398667099": "NCA-21938-KASL-12314",
        "398667108": "MOX-53215-AJVV-12395",
        "398667112": "BZH-12841-ASGB-12451"
    },
    "success": true
}